> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# List Event Type Availability Schedules

GET https://api.calendly.com/event_type_availability_schedules

Return the availability for an event type

> `availability:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/availability/get-event-type-availability

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Query parameters

- `event_type` (string, required) — The URI associated with the event type

## Response

### 200

OK

- `collection` (list of EventTypeAvailabilitySchedule, required)
- `pagination` (Pagination, required)

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission denied or insufficient scope

- `Get-event-type-availabilityRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### EventTypeAvailabilitySchedule

A configuration for an Event Type Availability Schedule

- `event_type` (string, optional) — The URI of the event type associated with the Event Type Availability Schedule
- `availability_setting` (enum, optional, default: host) — The setting for event type availability specifies if all hosts follow the same schedule or if each host has their own unique schedule on the event type.
  - Allowed values: `host`
- `availability_rule` (EventTypeAvailabilityScheduleAvailabilityRule, optional)

### Pagination

- `count` (integer, required) — The number of rows to return
- `next_page` (string, required, nullable) — URI to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page` (string, required, nullable) — URI to return the previous page of an ordered list ("null" indicates no additional results are available)
- `next_page_token` (string, required, nullable) — Token to return the next page of an ordered list ("null" indicates no additional results are available)
- `previous_page_token` (string, required, nullable) — Token to return the previous page of an ordered list ("null" indicates no additional results are available)

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### GetEventTypeAvailabilityRequestForbiddenError0

Error Object

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `You do not have permission to access this resource.`, `You do not have permission`
- `details` (list of ErrorResponseDetailsItem, optional)

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### EventTypeAvailabilityScheduleAvailabilityRule

- `timezone` (string, optional) — The timezone for which this Event Type Availability Schedule is originated in.
- `uri` (string, optional) — Canonical reference (unique identifier) for the Availability Schedule that is referenced in the Event Type.
- `name` (string, optional, nullable) — The name of the Availability Schedule that is referenced in the Event Type.
- `user` (string, optional) — A URI reference to a user to be returned if availability_setting is not 'all'
- `rules` (list of AvailabilityRule, optional)

### AvailabilityRule

The rules for an availability schedule.

- `type` (enum, required) — The type of this Availability Rule; can be "wday" or a specific "date".
  - Allowed values: `wday`, `date`
- `intervals` (list of AvailabilityRuleIntervalsItems, required) — The intervals to be applied to this Rule. Each interval represents when booking a meeting is allowed. If the interval array is empty, then there is no booking availability for that day. Time is in 24h format (i.e. "17:30") and local to the timezone in the Availability Schedule.
- `wday` (enum, optional) — The day of the week for which this Rule should be applied to.
  - Allowed values: `sunday`, `monday`, `tuesday`, `wednesday`, `thursday`, `friday`, `saturday`
- `date` (string, optional) — A specific date in the future that this should be applied to (i.e. "2030-12-31").

### AvailabilityRuleIntervalsItems

- `from` (string, optional) — Format: `"hh:mm"`
- `to` (string, optional) — Format: `"hh:mm"`

## Examples

**Response**

```json
{
  "collection": [
    {
      "event_type": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA",
      "availability_setting": "host",
      "availability_rule": {
        "timezone": "America/New_York",
        "uri": "https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA",
        "name": "Working Hours",
        "user": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
        "rules": [
          {
            "type": "wday",
            "intervals": [
              {
                "from": "08:30",
                "to": "09:30"
              }
            ],
            "wday": "sunday",
            "date": "2022-12-31"
          }
        ]
      }
    }
  ],
  "pagination": {
    "count": 20,
    "next_page": "https://api.calendly.com/event_type_availability_schedules?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page": "https://api.calendly.com/event_type_availability_schedules?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H",
    "next_page_token": "sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi",
    "previous_page_token": "VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H"
  }
}
```

**SDK Code**

```python Event Type Availability Schedules
import requests

url = "https://api.calendly.com/event_type_availability_schedules"

querystring = {"event_type":"https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Event Type Availability Schedules
const url = 'https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Event Type Availability Schedules
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Event Type Availability Schedules
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Event Type Availability Schedules
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Event Type Availability Schedules
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Event Type Availability Schedules
using RestSharp;

var client = new RestClient("https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Event Type Availability Schedules
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/event_type_availability_schedules?event_type=https%3A%2F%2Fapi.calendly.com%2Fevent_types%2FAAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```